package com.dbxml.db.core.adapter;

/*
 * dbXML - Native XML Database
 * Copyright (C) 1999-2004  The dbXML Group, L.L.C.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Id: SimpleAdapter.java,v 1.2 2004/02/12 00:17:57 bradford Exp $
 */

import com.dbxml.db.core.Collection;
import com.dbxml.db.core.DBException;
import com.dbxml.db.core.adapter.Adapter;
import com.dbxml.db.core.data.Key;
import com.dbxml.db.core.query.ResultSet;
import com.dbxml.db.core.transaction.Transaction;
import com.dbxml.xml.NamespaceMap;

/**
 * SimpleAdapter is a base class for implementing custom Adapters.
 */

public class SimpleAdapter implements Adapter {
   protected Collection col;
   
   public SimpleAdapter(Collection col) {
      this.col = col;
   }

   public Collection getCollection() {
      return col;
   }

	public String getName() {
		return col.getName();
	}
	
	public String getCanonicalName() {
		return col.getCanonicalName();
	}
	
   public long getKeyCount(Transaction tx) throws DBException {
      return col.getKeyCount(tx);
   }
   
   public void remove(Transaction tx, Object key) throws DBException {
      col.remove(tx, key);
   }
   
   public Key[] listKeys(Transaction tx) throws DBException {
      return col.listKeys(tx);
   }
   
   public ResultSet queryCollection(Transaction tx, String style, String query, NamespaceMap nsMap) throws DBException {
      return col.queryCollection(tx, style, query, nsMap);
   }
   
   public ResultSet queryDocument(Transaction tx, String style, String query, NamespaceMap nsMap, Object key) throws DBException {
      return col.queryDocument(tx, style, query, nsMap, key);
   }
}


